{% extends 'proteins/base.html' %}

{% block content %}


<h2>Alignment of two sequences</h2>
<form method="POST">
    {% csrf_token %}
    {{ form}}
    <input type="submit" class="btn btn-warning" id="buttonalign" value="Align"></input>
</form>
<button type="button" class="btn btn-outline-info" id="butDown">Show Match/Gap</button>
<div id="divmatchgap"></div>

<p id="match" style="visibility: hidden;">{{match}}</p>
<p id="gap" style="visibility: hidden;">{{gap}}</p>

<hr>

{% for a1 in alignment %}
<p> {{a1}}</p>
{% endfor %}

{% for a1 in alignment_1 %}
{% if  forloop.counter0 == 0 %}
<p> Secuencia 1: &nbsp;{{a1}}</p>
{% else %}
<p> Secuencia 2: &nbsp;{{a1}}</p>
{% endif %}
{% endfor %}

<hr>
<div>
    <table style="text-align: center;">
        {% for a2 in alignment_2 %}
        {% if  forloop.counter0 == 0 %}
        <tr>
            {% for a in a2 %}
            <td> {{a}} </td>
            {% endfor %}
        </tr>

        {% elif  forloop.counter0 == 1 %}
        <tr>
            {% for a in a2 %}
            <td> {{a}} </td>
            {% endfor %}
        </tr>

        {% else %}
        <tr>
            {% for a in a2 %}
            <td> {{a}}</td>
            {% endfor %}
        </tr>

        {% endif %}

        {% endfor %}
    </table>
</div>

<hr>
<table class="table table-bordered" style="text-align: center;">

    {% for a3 in alignment_3 %}
    <tr>
        {% for a in a3 %}
        <td> {{a}}</td>
        {% endfor %}
    </tr>
    {% endfor %}

</table>

<hr>

{% endblock %}

{% block custom_js %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="text/javascript">
    $(document).ready(function () {
        var cont = ""
        cont = "Match : " + $("#match").text() + " Gap : " + $("#gap").text()

        $("#butDown").on("click", function () {
            $("#divmatchgap").html(cont);
            $("#divmatchgap").toggle();
        });
    });
</script>
{% endblock %}